/*******************************************************************************
 * Copyright (c) 2008, 2018 IBM Corporation and others.
 *
 * This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License 2.0
 * which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.debug.examples.core.midi.launcher;


/**
 * Describes the length of the sequence in microseconds.
 *
 * @since 1.0
 */
public class LengthControl extends TimeControl {

	/**
	 * @param launch
	 */
	public LengthControl(MidiLaunch launch) {
		super("Duration" , launch); //$NON-NLS-1$
	}

	@Override
	protected long getTimeValue() {
		return getSequencer().getMicrosecondLength();
	}


}
